import React from 'react';
import { BasicFormComponent } from '../__types__';
declare type Props = BasicFormComponent & {
    name: string;
    label?: string;
    img?: string;
};
export declare function renderMark({ error, checked, onClick, }: {
    error: string;
    checked: boolean | undefined;
    onClick?: Function;
}): JSX.Element;
declare class RadioC extends React.Component<Props> {
    $ref: React.RefObject<HTMLInputElement>;
    static defaultProps: {
        withContext: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    onChange: ({ value }: {
        id?: string | undefined;
        value: string;
    }) => void;
    onClick: () => void;
    static contextType: React.Context<{}>;
    render(): JSX.Element;
}
declare const Radio: React.ForwardRefExoticComponent<BasicFormComponent & {
    name: string;
    label?: string | undefined;
    img?: string | undefined;
} & React.RefAttributes<unknown>>;
export { Radio, RadioC };
